Update user
post
https://statsigapi.net/console/v1/users/{email}Authorizations
STATSIG-API-KEYstringrequiredapiKey (header)
Path parameters
emailstringrequiredBody
application/jsonrolestringUpdate the user's role. Can be 'Admin', 'Read Only', 'Member', or any custom role name.
firstNamestringUpdate the user's first name.
lastNamestringUpdate the user's last name.
Response
application/json200· Update user response
messagestringrequiredA simple string explaining the result of the operation.
dataobjectrequiredShow child attributes
userIDstringrequiredThe user's unique ID.
emailstringrequiredThe email address of the user.
firstNamestringrequiredThe user's first name.
lastNamestringrequiredThe user's last name.
rolestringrequiredThe user's role, which can be 'Admin', 'Read Only', 'Member', or any custom role name.
400· Invalid request. Please check the request input and try again.
statusintegerrequiredmessagestringrequired401· This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx
statusintegerrequiredmessagestringrequired403· Forbidden. The request was valid, but the server is refusing action. You might not have the necessary permissions to access the resource.
statusintegerrequiredmessagestringrequired404· Not Found. The requested resource could not be found.
statusintegerrequiredmessagestringrequiredWas this helpful?